AOZ Studio Beta - Bug #777

Direct Mode commands are no longer working (or are working intermittently).

06/11/2021 10:04 AM - Brian Flanagan

Status: Closed Start date: 06/11/2021
Priority: High Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 2:00 hours
Target version: 1.0.0 (B10) u16

Affected version: 1.0.0 (B8) u15

Description

It appears that when any error occurs in Direct Mode, it stops working.
This particular case may have been caused by attempting to create X$.
(See snapshots.)

History

#1 - 06/12/2021 03:32 AM - Brian Flanagan
- Affected version set to 1.0.0 (B8)

#2 - 07/02/2021 01:06 PM - Brian Flanagan
- Affected version changed from 1.0.0 (B8) to 1.0.0 (B8) u15

Re-tested in B8 u15.
Still has problems.

Example:

> Print "This is a test."
This is a test.

> X=10:Print X

>

Note that the second command entered failed.
Here's the error message from the console:

Uncaught TypeError: Cannot set property 'X' of undefined
at Function.Application.AOZ_DirectCommand_2 (<anonymous>:4:14)
at raoz.js:623

#3 - 09/07/2021 06:52 AM - Francois Lionet
- Status changed from New to Resolved

- Assignee changed from Baptiste Bideaux to Francois Lionet

Fixed with new console in beta 10!

#4 - 09/08/2021 01:42 AM - Brian Flanagan
- Status changed from Resolved to Closed

- Target version changed from none to 1.0.0 (B10) u16

Re-tested in 1.0.0 (B10) u16 (9/7)

Works!
